Subject: [Fot] Ultrarev

From: "Geoff Byrne" <[email-masked]>
Date: Sat, 12 Oct 2013 06:50:31 +1100

Amici

Have any of you dealt with Ultrarev?  I recently tried the purchase an item
off them using my credit card only to be told I have to send photo ID and
proof of shipping address. I have never had to do anything like this before
and I make lots of offshore purchases. Even with a phone call to try to
clear this up did not solve the problem. Surely by contacting the credit
card company the legitimacy of the transaction could be confirmed!!!

Result I had to cancel the order. 

Regards 

Geoff Byrne 

TR6 racer down under
_______________________________________________
[email-masked]

http://www.fot-racing.com

Archive: http://www.team.net/archive